
;------ FLIPEFFECT Triggers for drone plugin ----------------------------------------------
;note: I begun with 47, as flipeffect number, to avoid conflicts with old tomb raider flipeffects in the range 0-46
<START_TRIGGERWHAT_9_O_H>

47:Battery. Set <&>Battery level for battery currently plugged in Drone

48:Signal. Decrease Signal strenght adding a wall of click depth<&> in (E)way#REMARK#Click on [Help] button for more infos#START_DOC#
This flipeffect get the chance to decrease the signal strenght chaning a value used to compute the final signal strenght: adding a wall of given depth in click. One click is 1/4 of sector or 256 game units (while a block has sides of 1024 units)
This method is better than to force a specific fixed value of signal, since in that way, it will be always the same, ignoring distance or other obstacles. Differently, usign this wall method, the singal will go on to change for real reasons (distance and obstacles) but it will be less of a given value, based on simultaed walls you set.
About the "way" it work in two different way:
- "Forever" when you enable, once and some time, this signal reduction. In this case, you'll need of another trigger (about signal strenght) to change this variation on signal. 
- "While drone is over this sector" (or a trigger group is triggering it) will be active while the trigger is active and it will switch off, when the trigger didn't work, probably because drone left that sector

Talking about the reason to use reductions (or increments) of signal strenght, one reason could be to get more precise the simulation of radio transmission in some sides of your level. 	
For instance, since the drone's code doesn't care about items (moveables or statics) as obstacles, if you placed a big item, behind of that, drone should loses signal, you could place some trigger (with heavy activation) to reduce the signal, setting a wall that could be depth like this big item. This solution (using heavy triggers) will work only if you enabled the DRF_ENGAGE_OVER_HEAVY flag in Customize=CUST_DRONE command, to get that drone, flying over some heavy trigger, will engage it.

Another reason to use reduction of signal, in particular way when very strong, is to limit some sides of the level, avoding to use DRF_FORBIDDEN_BOXES method. The negative side of gray sector usage is that it doesn't look so fine to see, the drone smashing against invisible obstacles, as it happens when drone collide with gray (box) sectors. A solution could the drastic reduction of signal, placed in trigger at coming in of these sides. When player will try to visit that zone with drone, there be the "Lost drone" message and drone will fall down, or, if enabeed with DRF_SAFE_RECOVERY flag, it will come back to previous position, where it had a good signal. In this way you'll get what you wished: it will be impossible to do fly the drone in that side but avoiding the bad "smashing in the empty" effect that occurs with gray sectors.

Notes: 
- If you use the "While drone is triggered" way, to remove this chance on signal, then, to remove the change on signal, you should use the flipeffect 48 or 49, setting as click of depth the value 0. In this way you'll disable previous "simulated" walls.
- If drone is performing a cutscene (driven by triggers and not by Lara) the signal strenght will be ignored because it supposed that it was not listening the controller but following a gps path.
#END_DOC#

49:Signal. Increase Signal strenght removing walls for a click depth<&> in (E)way#REMARK#Click on [Help] button for more infos#START_DOC#
This trigger works alike the Flipeffect 48 but, in this case, it will increase the signal, removing clicks of wall in the compute of signal formula.
Note that this trigger will work also when there were no realy walls between drone and controller, and the final effect will be anyway to increase the signal strenght.
For other detail, look description of flipeffect 48, since the working mode is the same, with only difference to decrease wall depth, instead by increasing.
#END_DOC#

50:Customize Flags. Add <&>DRF_ flag for currently loaded Customize=CUST_DRONE script command#REMARK#Click on [Help] button to see some suggestions for this trigger#START_DOC#
In spite not all DRF_ flags could be added with good outcomes, you can add (or remove with flipeffect 51) many flags, changing temproarily the feature of drone management.
For instance you can activate the block on gray sectors with DRF_FORBIDDEN_BOXES flag, if player reach a side of the level where you don't want the drone can reaching some sites.
Another chance is to enable the DRF_ENGAGE_OVER_HEAVY flag, to get drone was able to activate heavy trigger flying over them, only in some side of level but not other, where drone could interfere with heavy triggers thought for some enemy.
#END_DOC#
51:Customize Flags. Remove <&>DRF_ flag for currently loaded Customize=CUST_DRONE script command#REMARK# You can see descrption of twin flipeffect 50 for some infos

52:Text. Display <&>Drone Message in (E)way#REMARK#The index of ng string should one after first string index field of customize=CUST_DRONE command#START_DOC#
The idea of this trigger is to display a message on screen how it was displayed by drone's telemtry.
This means that you should use same positional formatter used to show other default drone's strings.
You can use also already present drone's text but, more probably, you'll add new ng string after the default drone' texts, to show other messages in same position of drone's messages
#END_DOC#

53:Text. Remove <&>Drone Message#REMARK#Remove last string you displayed with flipeffect 52

54:Signal. Decrease Signal strenght adding a simulated distance of <&>meters/yards in (E) way#REMARK#Read help for more infos about this trigger#START_DOC#
This trigger uses another method to reduce the signal got from drone. Other trigger to reduce the signal strenght is the flipeffect 48 but, in that case, using simulated walls to get the outcome.
The value you choose will be as meters/yards to add to real distance between drone and controller.
Note: If drone is performing a cutscene (driven by triggers and not by Lara) the signal strenght will be ignored because it supposed that it was not listening the controller but following a gps path.
See also description of flipeffect 48 to get some reason to reduce signal strenght.
#END_DOC#

55:Signal. Increase Signal strenght substracting <&>meters/yards to real distance in (E) way#REMARK#See help of twin flipeffect 54 trigger for infos.
56:Customize. Set <&>value to (E)field of Customize=CUST_DRONE command#START_DOC#
With this trigger you can change the value of given field of currently loaded Customize=CUST_DRONE command.
This is a way to change the features of drone in some moment of the adventure.
About this chance, I remind you that, typing a different customize=CUST_DRONE command in a mew (following of first) drone level is useless, because it will be not used. The plugin drone will go on to keep setting of first CUST_DRONE command (at least to do not set ocb 1024 in real drone object of a next level).

There are some fields that is not advisable trying to change. For istance fields about slot type, FirstString index ect.
Anyway you can change values for battery or max distance, to improve (or reduce) the skills of rone, or modifing Extra1 field to work on a different slot to engage a different triggergroup when drone touch an item.
Note: in spite you could set a value for "Flags" or "ViewFlags" fields, for these fields it should be better using the specific flipeffect to have the chance to enable or disable a single flag, rather overwrite whole value with this 56 flipeffect.
Remark: if you mean set a value that was biggr than 255, you can use the flipeffect 59, where you'll set in customize fields a value taken form trng variable CurrentValue.
#END_DOC# 

57:Customize Flags. Add <&>VIEW_ to currently loaded customize=CUST_DRONE command#REMARK#With this flipeffect you can enable a single VIEW_ flag#START_DOC#
I remind you, that the VIEW_ field doesn't change the current cam view of drone but simply it can enable (get it possible to be selected) view cam, other that enable other settings about strings an text formatting.
#END_DOC#
;
58:Customize Flags. Remove <&>VIEW_ flag to currently loaded customize=CUST_DRONE command#REMARK#With this flieffect you can disable a single VIEW flag

59:Customize. Copy Trng Variable CurrentValue value to <&>field of currently loaded Customize=CUST_DRONE command#REMARK#This flip is alike the flip 56 but in this case you can use values bigger than 255

60:Cutscene. Set <&>Camera View for drone with (E)degrees of tilt#START_DOC#
With this trigger you can force current cam view for drone: chase cam, fpv (first person view, what the drone is looking), Lara look at drone (drone will be target for Lara) or "No drone cam" that means that there will be no view from drone and lara will go on to watch what she wants.
Note that this command will be ignored if Lara is driving the drone. Anyway, you can use this trigger also when a drone cutscene is not yet active, to set in advance the cam view that the drone will have, when the cutscene begins.

You should use this flipeffect to set a specific view when the drone is following a target for a cutscene started with flipeffect 61.
See also description of flipeffect 61 to get better this chance.
#END_DOC#

61:Cutscene. Force drone to fly and to reach <&>LARA_START_POS target, previously reaching (E)meters height#REMARK#This flipeffect works to create a little cutscene with drone as leading character#START_DOC#
This flipeffect works only when lara is NOT controlling the drone but, at same time, drone is present in the level map (and not in inventory).
When Lara has not yet found the drone, probably at begin of your level, you could to do fly the drone to create a sort of cutscene, where, or Lara look at drone (and then she will try to take it), or showing what the drone is watching and probably it will be own lara or some misterious target to reach, therefor a indication for Lara about where triying to go.
This "drone custscene" could fail if you engage this trigger when you cannot be sure about where the drone is excactly, because it's  not sure that the drone was able to reach the given target.
It's for this reason that I said to use this only at start of drone level: when you know where you placed the drone and you can to do trigger this flip with sure data: starting position of drone and, of course, the target to reach. In this way you'll avoid that the drone collide with some obstacle, computing right altitude and direction to avoid collisions.
Note: when the target to reach is higher than current drone position, you'll have to set a "rasing" value to get drone was upper than at least 256 units (one click) of y coordinate of target to reach. Anyway, if you don't want compute this value, you can also let at 0 meters/yards of rasing, and the trigger will compute itself, the minimum altitute to take the drone over the y target. However, in this compute the trigger will not check if the straight line (horizontal) at that altitute will be free and it's for this reason that it should be safer if you set a valid altitute that you know it will be free to reach the target.
About the (E) parameter, meters (one sector = 2 meters) or yards in according with unit type, it will be useful to inform drone at what altitude raising before moving horizontally aiming the target. Once the drone will be over the target, it will land in that point and the custscene will be completed.
While (or a bit earlier) the drone is flying, you could trigger also 60 flipeffect to set kind of drone view.
See description of flipeffect 60 for more infos.
Notes: 
- You can mixing also othr Flipeffect 61 (like this trigger), before drone reached its target. In this case the drone will ignore previous final target and it will set, as new target, that gave in second trigger. Using this method you could to do drone a long and articulated path.
- If drone collide with some obstacle (walls, ceiling or items) while it's trying to reach the target, the drone will fall down (mayday ecc.) and the cutscene will quit.
- As said, you cannot using this flipeffect to move drone while Lara is driving it, anwyay for that target, you could use the flipeffect 65 that works in similar way but only when drone is flying, driven by Lara.
#END_DOC#
			  
62:Cutscene. Change vertical position of drone by <&>game units, moving it in(E) direction#REMARK#To use when drone is flying during a cutscene
#START_DOC#
This trigger could be used to move up or down the drone while it's flying following a target that you previously set with a flipeffect 61.
In this way you could adjust its altitude to do avoid obstacle or to get a smoother flying trajectory.
About "game units", it's advisable using little values (not too higher of 30/40) otherwise there will bad sudden movements.
I remid you that this trigger will be continuosly performed, while the drone  overflies the sector, over and over. This means that, also setting a little value (for instance like 10), you could see the drone change drammatically its altitude in fast way, just only that the trigger zone was enough wide.
This trigger doesn't perform a compute to avoid obstacle but the drone's code will discover a further collision and, in this case, the drone curscene will quit with a falling drone. So, try to be sure that changes on y position don't move the drone to hit ceiling or other obstacles.
Notes: 
- This trigger should be placed only over those sector where the drone is moving horizontally and not when the drone received a take-off or landing command.
- If drone was following last target of its path and you move too down the drone, it could be not able to reach correctly the final target, when it will have to land on it. For this reason you could use this flip 62, only on intermediate path, when you kwnow that there will be a new flip 61 in the future, that will give to drone newly a right altitude to reach further next target.
- If drone is not flying, when this trigger will be performed, there will be no change in drone altitude. You cannot using this trigger to do the drone taking off or landing.
#END_DOC#

63:Cutscene. Move drone camera to reach <&>tilt degrees, in (E)seconds#REMARK#To use only when there is a drone cutscene in progress#START_DOC#
You can using this trigger to "animate" the drone cam, moving it up or down in a given time.
Littler time you choose and slower will be movement, of course.
Please note that this trigger will not be engaged if, in triggering moment, there is no view from drone's cam. Anyway, in the case the cam drone was disabled while the tilt change is in progress, the effect will go on to work, in spite in some moment (when drone's cam is not active) it will be not visible the outcome.
#END_DOC#

64:Command. Send <&>command to Drone#REMARK#With this trigger you can interact with drone while Lara is controlling it#START_DOC#
This trigger has not been thought for cutscenes but, rather, to act on drone while Lara is driving it.
Some of these commands will be ignored if drone is not in a suitable condition to perform it. (For instance if you give the command to land but drone was not flying).
About the reason to use this trigger, an idea could be to manage some attack on drone (from some enemy or electric device) and to show drone having troubles for that attack: falling down, or shaking it a bit.
Note that using this effect when drone is following a path for a target (like inside a drone cutscene) it's possible but in this way the drone will fail to reach its target.
#END_DOC#

65:Command. Divert drone, forcing it to reach <&>LARA_START_POS position in (E)way#REMARK#This trigger works when Lara is controlling the drone#START_DOC#
This trigger will force a target to reach the given LARA_START_POS.
Player will be not able to stop this divertion, with oly exception, giving command to quit drone mode (lara gets off the controller). 

About the "way" if you set to reach only 2d position, it means that drone will move over the LARA_START_POS position, keeping (about) same current y coordinate of drone. 
While, with 3d position to reach, the drone will move up/down to reach LARA_START_POS. In the case the final position is on ground, the drone will land on it but I don't suggest to use a LARA_START_POS on the ground with 3d chasing, because the drone will move lower
Note: if drone is not flying or there is a drone cutscene in progress, this command will be aborted. 
#END_DOC#
66:Pickup: Set as drone had picked up the <&>inventory item in (E)way#REMARK#The item will be get when Lara picks up the drone#START_DOC#
Drone could picks up a key (when it has been enabled the skill) but, usign this trigger, you can give to drone (lile it has been taken by its magnet) any inventory item. Once this trigger will have been performed, the item will be "stored" in the drone, like it had picked up it, and Lara will be able to get it when she will pickup the drone from ground.
The advantage of this trigger and that you can (to do pick up to drone) also items different by keys.
About the (E) way it affect the further (or less) displaying of standard drone message "Magnet: taken item". We can set to show or less it.
#END_DOC#
67:Customize. Set as max altitude for drone the value of <&>sectors over current floor in (E)way.#REMARK#To stop drone to fly too heigh#START_DOC#
If you don't want that, in some side of your level, drone flied too heigh, you can set a max altitude with this trigger.
The altitute will be calculated from floor where it will be drone when this trigger has been engaged. For instance, if the (below the drone) floor has an Y coordinate (in absolute value respect 3d world) by 2048 and you set as max altitute 4 sectors, the drone will be not able to fly over (-2048+4*1024) -6144 as Y coordinate.
Remarks: 

- The plugin_drone will do respect this limit, omitting warning messages as "Proximity alarm: obstacle" or "Impact" but simply it will ignore the command to do raise furtherly the drone, when the limit is very close.

- When drone is overflying water surface, it will be the position of water surface to be used as "floor position", this in spite you'll have to place the trigger on the underwater floor.

- About the (E) way, you can set to enable this limit from now and forver (or until there will a flipeffect 68 to remove the limit), or to keep this limit only until the drone is over curent sector (where you placed an heavy trigger with this flipeffect)
#END_DOC#
68:Customize. Remove max altitude limit.#REMARK#To use after having used flipeffect 67 to set a max altitude limit
69:Cutscene. Force drone to perform a full rolling in <&>direction, in (E)Seconds#REMARK#This trigger will work ONLY while a drone cutscene is in progress#START_DOC#
You could place this trigger on the path of drone while it's reaching a target, setting an HEAVY trigger (anyway you could use also a triggergroup to engage it). This effect will give you the feeling that drone was turning on itself but, since that's just an illusion, you should engage this effect only when it's working the FPV view (drone cam view) otherwise the outcome will be not good. In the case the current view is neither the "chase cam view" (and nor the "drone cam" view) the trigger will quit with no effect.
#END_DOC#
70:Variables. Move index of (E)Drone item to <#>trng variable#START_DOC#
If you mean creating some scripting to work with drone item, it should be better getting dynamically its item index (rather that to set the constant index you know for real drone in level map) to get your script more general and usable also by other level builders, or by yourself in other levels.
Notes: 
- An index in tomb raider game requires at least a "short" variable, so don't use a BYTE trng variable as target.
- Returned value will be a (native) tomb raider index (and not a ngle index), of course
- In your script you should verify if the returned index is valid, since there is the chance that this flipeffect retuned -1 as invalid value. It happens when you ask a drone that, in that moment, is not present in game.
For instance, if you are asking for pickup drone index but in that moment the pickup drone is in inventory (and not in the level) this flipeffect will return -1.
Another chance is that you asked for real drone (the flying drone) but currently there is only a pikcup drone on the ground. Also in this case you'll get -1 as value.
#END_DOC#
71:Variables. Move the value from (E)Field of real drone to <#>trng variable#START_DOC#
In scripting you could need of this flipeffect (and other flips for drone supporting variables) to get some critical value of drone item.
By the way, it could possible also using another approach: getting the index of read drone, then got the value of item structure using flipeffect to access to "selected item memory". Anyway this drone flipeffect is easier to use since there is no need to select the item, since there is only one real drone for each level.
Anyway, the real drone, also when it is invisible, it will be always present and so you can read or change its fields also when it is not visible in game.

Here some descriptions of more particular fields:

ContactFlags
------------
This field has to be seen as a serie of flags, each value is a power by 2, so flags like: 1,2,4,8,16,32 ect
It could be used after a collision to detect what mesh (of this object) had the collision.
The link between flag and mesh works in this way:
Flag  Mesh
-----------
1 = mesh 0
2 = mesh 1
4 = mesh 2
8 = mesh 3

ect.
Anyway I'm not sure that these flag were correctly set after all detections of collision

MesVisibilityMask 
-----------------
This field has same method of flags for specific meshes seen in Contact flags, but in this case is to enable/disable the visibility of given mesh.
If the the corresponding flag is present, the mesh will be visible, otherwise it will be not.

Transparency
------------
This field will be used for semi-trasparency attribute of current object.
The range is 0 - 255, where 255 is fully opactiy and 0 is invisible.
Anyway take care: it used to prepare the vanishing (and removing) of just killed enemy, so if you set a value different than 255 the moveable could increase the transparecy until to be removed.

Facing ClockWise
-----------------
This is the least common orienting (facing). 
Imagine lara in stand-up position, clockwise degrees will be applied to do rotate her like a needle, with her arms moving until to be parallel to the ground (using a picture it should have been easier to explain, ok)

Flags Main
----------
I've not yet discovered the meaning of all flags, anyway here we have some descriptions:

#define FITEM_ACTIVE 0x0001 // item is active (it will move) flag set after calling AddActiveItem()
#define FITEM_CREATURE 0x0002 // Creatures are invisible until they have not been triggered
#define FITEM_NOT_VISIBLE 0x0004 // the item was not visible at start
#define FITEM_GRAVITY_AFFECTED 0x0008 // the item is falling down (or jumping up) and it's subject to gravity simulation, currently
#define FITEM_ITEM_HAS_BEEN_HIT 0x0010 // the item has been hit: with weapons (but not grenade)
#define FITEM_NOT_YET_ENABLED 0x0020  // the item has not yet been enabled (triggered)
#define FITEM_KILLED_WITH_EXPLOSION 0x0040 // trng flag, added to remember that this enemy has been killed with an explosion
#define FITEM_POISONED 0x0100 // enemy (or lara?) has been poisoned
#define FITEM_AI_GUARD 0x0200 // enemy was over a AI_GUARD item
#define FITEM_AI_AMBUSH 0x0400 // emeny was over a AI_AMBUSH item
#define FITEM_AI_PATROL1 0x0800 // enemy was over a AI_PATROL1 (and perhaps AI_PATROL2)
#define FITEM_AI_MODIFY 0x1000 // enemy was over a AI_MODIFY item
#define FITEM_AI_FOLLOW 0x2000  // enemy was over a AI_FOLLOW item
#define FITEM_THROWN_AMMO 0x4000 // (not sure) it used with visible ammo like greande or arrows of crossbow

Flags Swap Mesh
---------------
Also this field works like ContactFlags and MesVisibilityMask fields, where each flag (a power by 2 value) works for the given mesh.
In this case the flag will signal if linked mesh is main or flipped.
In tombraider all moveable have (teoratically) two meshes for each mesh position, and it is possible (using own this field) to show one or another.
Really only few moveables used this chance, most of them have always same mesh as main or flipped, anyway you could giving a look to skeleton or von croy to see some of their flipped meshes.

#END_DOC#
72:Variables. Move the value from <#>trng variable to (E)field of real drone#REMARK#This is the twin of flipeffect 71. Read that description for more infos

73:Cutscene. Follow me. Follow Lara, keeping <#>min distance and (E)Min height respect Lara#REMARK#Experimental trigger, read the description#START_DOC#
Trying to add all common features of drones also for this tr drone, I added this feature, to use only in cutscene mode.
Really it's not so sure that it will work fine in game, since Lara could go everywhere but drone probably will be not able to do the same.
Let's say that it should be you to project this cutscene in right way, where there was enough space to permit drone to follow Lara without risk of collision.
About this, I remind you that there are some useful triggers that you could use in this follow me operation: flipeffect to move up or down drone (it maybe with heavy trigger placed on the probable path of drone), and flipeffect to change the view and the cam degrees.
The skills of drone to avoid obstacle is very little, it's able only to move up or down, to reach right altitude from that it will be able to move straightly to reach the target (Lara). Anyway if, when the "follow me" begins, the drone should turns corners and avoid more than one obstacle moving up or down, the "follow me" will fail immediately and drone will land giving up.

About min distance it means that drone, also if it reached Lara, it will stop when it's going to reach that min distance, but the follow me is yet engaged, and, if Lara will come back to run away, drone will follow her again.

About min height it will be calculated on Lara's feet, so if you type 1 meter drone could touch Lara, while with 2 meter (or more) it will be not possible.

About possible usages of this effect in storyboard, I can suggesting these two ideas:
A) Simulating that someone, driving the drone, tries to hurt Lara. Indeed, if drone touches Lara she should be hurt.
B) Imagining that someone is spying Lara using the drone.

About A point, to do work it, you should:
- Remove DRF_PROXIMITY_SENSOR flag, otherwise drone will stop before touching Lara
- Set 0 as "Min distance" and "Min height",too, otherwise drone will be never so close to collide with her

When will it end this "chasing"?
There are following ways:
- Using the 74 flipeffect to stop the follow me
- When drone collides with some obstacle, a moveable (like Lara) or a wall. In this case the "follow me" will break and there will be a "Mayday, falling down"
- When it has been engaged another cutscene trigger.
- When the battery of drone is out of power.
#END_DOC#

74:Cutscene: Stop current cutscene in <#>way#START_DOC#
This is only one trigger to support a "Return to Home" during a cutscene.
It works always when there was a cutscene in progress.
The place of "Return to home" is from where the drone took off last time.
#END_DOC#
<END>
;----------- ARGUMENTS for flipeffect triggers  ----------------------------------------------



<START_EFFECT_47_T_H>
#REPEAT#Percentage Battery Level= #0#100
<END>

<START_EFFECT_48_T_H>
#REPEAT#Depth in clicks=#0#100
<END>

<START_EFFECT_48_E_H>
1:Forever, until a new Flipeffect 48 or 49 will be performed
2:Only while rone is engaging current trigger
<END>

<START_EFFECT_49_T_H>
#REPEAT#Depth in clicks=#0#100
<END>

<START_EFFECT_49_E_H>
1:Forever, until a new Flipeffect 48 or 49 will be performed
2:Only while drone is engaging current trigger
<END>

<START_EFFECT_50_T_H>
0:DRF_FORBIDDEN_BOXES
1:DRF_MAGNET_SKILL
2:DRF_USE_YARDS	
3:DRF_WALL_REDUCTION
4:DRF_USE_BATTERIES	
5:DRF_SAFE_RECOVERY
6:DRF_PROXIMITY_SENSOR
7:DRF_ENGAGE_PAD_HEAVY
8:DRF_ENGAGE_OVER_HEAVY
9:DRF_ENGAGE_TGROUP_ON_ITEM_COLLISION
10:DRF_DESTROY_SHATTERS
11:DRF_NOISE_EFFECT_ON_NO_SIGNAL
12:DRF_ENGAGE_TGROUP_ON_STATIC_COLLISION
13:DRF_NO_TRIGGERS_ON_FOLLOWME
14:DRF_DYNAMIC_ENGINE_SOUND

<END>

<START_EFFECT_51_T_H>
#SAME_OF#=EFFECT_50_T
<END>

<START_EFFECT_52_T_H>
#REPEAT#NG String with index FirstIndexString + #0#255
<END>

<START_EFFECT_52_E_H>
0:Place in the list (allows other messages) and for standard time
1:Place in the list (allows other messages) and forever (until a flipeffect 53 to remove it)
2:Immediately for standard time
3:Immediately and forever (until a flipeffect 53 to remove it)
<END>

<START_EFFECT_53_T_H>
#REPEAT#=NG String with index of (drone) FirstIndexString + #0#255
<END>


<START_EFFECT_54_T_H>
#REPEAT#Meters/yards=#0#255
<END>

<START_EFFECT_54_E_H>
1:Forever, until a new Flipeffect 48 or 49 will be performed
2:Only while drone is engaging current trigger
<END>

<START_EFFECT_55_T_H>
#REPEAT#Meters/yards=#0#255
<END>

<START_EFFECT_55_E_H>
1:Forever, until a new Flipeffect 48 or 49 will be performed
2:Only while drone is engaging current trigger
<END>

<START_EFFECT_56_T_H>
#REPEAT#Value = #0#255
<END>

<START_EFFECT_56_E_H>
0:DroneFlags (DRF_...)
1:ViewFlags (VIEW_...)
2:DronePickupSlot
3:FullDronePickupSlot
4:ControllerPickupSlot
5:BatteryPickupSlot
6:FirstDroneExtraString
7:HelpImageIndex
8:MaskImageIndex
9:BatteryTime
10:MaxDistance
11:SpriteScriptId
12:Extra1
13:Extra2
<END>

<START_EFFECT_57_T_H>
0:VIEW_CAM_DRONE
1:VIEW_CAM_CHASE_DRONE
2:VIEW_CAM_LARA
3:VIEW_CHAR_HALF
4:VIEW_CHAR_MICRO
5:VIEW_NO_TESTUAL_HELP
6:VIEW_SHOW_TIP_FOR_HELP
7:VIEW_USE_YARDS
8:VIEW_NO_TELE_ON_CHASE_CAM
9:VIEW_NO_WARNINGS_ON_CHASE_CAM
10:VIEW_NO_WARNINGS_ON_LARA_CAM
<END>

<START_EFFECT_58_T_H>
#SAME_OF#=EFFECT_57_T
<END>

<START_EFFECT_59_T_H>
#SAME_OF#=EFFECT_56_E
<END>

<START_EFFECT_60_T_H>
0:No drone cam (Lara will look where she wishes)
1:Drone view (FPV Firsrt Person View, what the drone is watching with its cam)
2:Cam chases Drone (The scene will show the drone and what it's watching
4:Lara will look at drone
<END>

<START_EFFECT_60_E_H>
#REPEAT#Tilt Degrees = #0#80
<END>


<START_EFFECT_61_T_H>
#REPEAT#LARA_START_POS with OCB = #1#255
<END>

<START_EFFECT_61_E_H>
#REPEAT#Raise to meters/yards = #0#120
<END>

<START_EFFECT_62_T_H>
#REPEAT#Game units = #1#64
<END>

<START_EFFECT_62_E_H>
0:Raising (move upstairs)
1:Descending (move downstairs)
<END>

<START_EFFECT_63_T_H>
#REPEAT#Degrees = #1#80
<END>

<START_EFFECT_63_E_H>
#REPEAT#Seconds = #1#10
<END>

<START_EFFECT_64_T_H>
1: Force landing
2: To do fall down the drone (plummeting)
3: Shake drone and to do lose some altitude
<END>

<START_EFFECT_65_T_H>
#REPEAT#LARA_START_POS with OCB = #1#255
<END>

<START_EFFECT_65_E_H>
0:Use 2d horizontal (x,z) position
1:Use 3d position (also y position)
<END>

<START_EFFECT_66_T_H>
#INVENTORY-ITEM-INDEX#
<END>

<START_EFFECT_66_E_H>
0:Display "Magnet: taken item" message
1:Silent way (no message)
<END>

<START_EFFECT_67_T_H>
#REPEAT#Sectors over current floor=#1#128
<END>

<START_EFFECT_67_E_H>
1:Forever, until a Flipeffect 68 will not stop it
2:Only while drone is over this trigger zone
<END>

<START_EFFECT_69_T_H>
0:Clockwise direction
1:Counter clockwise direction
<END>

<START_EFFECT_69_E_H>
#REPEAT#Seconds#1#127
<END>

<START_EFFECT_70_T_H>
#VAR_NORMALS#
<END>

<START_EFFECT_70_E_H>
0:Real drone (slot 506)
1:Pickup drone (pickable item, on the ground or water surface)
<END>

<START_EFFECT_71_T_H>
#VAR_NORMALS#
<END>

<START_EFFECT_71_E_H>
0:ContactFlags (long) mask for single mesh collision
1:MesVisibilityMask (flag 1 for mesh 0, flag 2 for mesh 1, flag 4 for mesh 2, ect)
2:StateId (short)
3:StateIdNext (short)
4:Animation (short)
5:Frame (short)
6:Room (short)
7:OCBCode (short)
8:Transparency (range 0 / 255)
9:X_Cord (long)
10:Y_Cord (long)
11:Z_Cord (long)
12:Facing Vertical (short)
13:Facing Horizontal (short)
14:Facing ClockWise (short) seeing the item, in stand up position, like the needle of a clock
15:Flags Main (long) FITEM_ flags
16:Flags Swap Mesh (long) Set/check if a single mesh is flipped or less
<END>

<START_EFFECT_72_T_H>
#VAR_NORMALS#
<END>

<START_EFFECT_72_E_H>
#SAME_OF#=EFFECT_71_E
<END>

<START_EFFECT_73_T_H>
#REPEAT#Horizontal Distance = #0#30
<END>

<START_EFFECT_73_E_H>
#REPEAT#Vertical Distance = #0#30
<END>

<START_EFFECT_74_T_H>
0:Falling down (mayday)
1:Landing
2:Returning to Home
<END>

;-------------- CONDITIONAL TRIGGERS  -------------------------------------------------------------------------

<START_TRIGGERTYPE_12_T_H>
1:Signal. Signal strenght of drone is less than <#>percentage
2:Signal. Signal strenght of drone is greater than <#>percentage
3:Signal. Signal strenght of drone is <#>percentage
4:Battery. Battery level of drone is less than <#> percentage
5:Battery. Battery level of drone is greater than <#> percentage
6:Battery. Battery level of drone is <#> percentage
7:Distance. Distance from drone and controller is less than <#> meters/yards#REMARK#See also description of condition 9 trigger
8:Distance. Distance from drone and controller is greater than <#> meters/yards#REMARK#See also description of condition 9 trigger
9:Distance. Distance from drone and controller is <#> meters/yards#START_DOC#
Please, notice that this distance is different than that you see on telemetric data, since the telemetric distance is between the drone and its start point, while that distance checked by this trigger is that between drone and Lara's controller, affecting also the different altitude (distance in 3d world).
If you want check the telemetric distance, use condition trigger 14, 15 or 16
#END_DOC#
10:Altitude. Altitude of drone from its starting point is less than <#>meters/yards
11:Altitude. Altitude of drone from its starting point is greater than <#>meters/yards
12:Altitude. Altitude of drone from its starting point is <#>meters/yards
13:Compass. Drone is looking at <#> cardinal point with (E)degree tollerance
14:Distance. Distance from drone and its last taking-off point is less than <#> meters/yards#REMARK#This condition works on same value of telemetric distance
15:Distance. Distance from drone and its last taking-off point is greater than <#> meters/yards#REMARK#This condition works on same value of telemetric distance
16:Distance. Distance from drone and its last taking-off point is <#> meters/yards#REMARK#This condition works on same value of telemetric distance#START_DOC#
The telemetric distance of drone from its last taking off point, works only in horizontal, this means that the further Y (altitude) difference will be ignored. If you want verify the altitude, respect last taking-off point, use condition triggers 10,11 or 12.
#END_DOC#
17:Speed. Current speed of drone is(E) than <#>game units#START_DOC#
Take note that max speed of drone should be (in original plugin_drones code) 40 game units. 
About zero units, it means that the drone is not moving in that moment, of course.

Note: You need of this trigger to check the speed of drone, because the standard "horizontal speed" field in item structure of drone, is not really used. The drone code uses a custom inertial speed calculation that is saved to an internal memory, different than that of item structure.
#END_DOC#

18:Status. Currently drone (or item for drone) is in<#>Status#REMARK#To verify if there is a flying drone, or it is a pickup or it's floating on water surface, ect.#START_DOC#
If you make some script to interact with drone, it should be always better using a condition like this to be sure that drone is that you were thinking. I mean that you could create some skill while drone is flying but it could work also when drone is on the ground or it is only a piclup item. It's better verifying in advance its status.
With this condition you can also checking the presence of Controller or Batteries in inventory.
#END_DOC#
<END>

<START_CONDITION_1_O_H>
#REPEAT#Signal strenght percentage = #0#100
<END>

<START_CONDITION_2_O_H>
#REPEAT#Signal strenght percentage = #0#100
<END>

<START_CONDITION_3_O_H>
#REPEAT#Signal strenght percentage = #0#100
<END>

<START_CONDITION_4_O_H>
#REPEAT#Battery Level Percentage = #0#100
<END>

<START_CONDITION_5_O_H>
#REPEAT#Battery Level Percentage = #0#100
<END>

<START_CONDITION_6_O_H>
#REPEAT#Battery Level Percentage = #0#100
<END>

<START_CONDITION_7_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_8_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_9_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_10_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_11_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_12_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_13_O_H>
0:North
1:North/East
2:East
3:South/East
4:South
5:South/West
6:West
7:North/West
<END>

<START_CONDITION_13_B_H>
#REPEAT#Range +/- degrees = #1#22#1#2
<END>

<START_CONDITION_14_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_15_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_16_O_H>
#REPEAT#Meters/Yards = #0#1000
<END>

<START_CONDITION_17_O_H>
#REPEAT#Game units = #0#256
<END>

<START_CONDITION_17_B_H>
0:Less than
1:Greater than
2:Even, the same...
<END>

<START_CONDITION_18_O_H>
0:Flying drone
1:Real drone on the ground (open arms but with still propellers)
2:Real drone is invisible (probably it is a pickup item now)
3:Real drone is landed on water surface (open arms but with still propellers)
4:Pickup drone is on the ground (no real drone in this moment)
5:Pickup drone is floating on the water surface (no real drone in this moment)
6:Pickup drone is in inventory (and not in some side of the level)
7:Controller is in inventory
8:There are batteries in inventory
9:Drone is empty (no energy but there could be batteries in inventory)
<END>


